"""Test basic configuration stuff."""
import os

from incorporealcms import create_app

HERE = os.path.dirname(os.path.abspath(__file__))


def test_config():
    """Test create_app without passing test config."""
    instance_path = os.path.join(HERE, 'instance')
    assert not create_app(instance_path=instance_path).testing
    assert create_app(instance_path=instance_path, test_config={"TESTING": True}).testing
